BetaThe v2 API is in beta — fields and behavior may change without notice. For stable production usage, see the API v1 Reference.

Contacts

Create custom attribute

Define a new typed attribute that contacts can populate. Naming rules apply.

Endpoint

text
POST https://services.chatmount.co/v2/chatbots/:chatbotId/custom-attributes

Request body

json
{
  "name": "department",
  "type": "text",
  "label": "Department",
  "description": "Employee department",
  "archived": false
}
  • name (required) — must start with a letter; can contain letters, numbers, underscores, hyphens
  • type (required)text · number ·boolean · date
  • Optional: label, description, archived (default false)

Response

json
{
  "message": "Success",
  "data": {
    "name": "department",
    "label": "Department",
    "type": "text",
    "description": "Employee department",
    "archived": false
  }
}

Related